PySet (Jython API documentation)
Date: 2022-09-10

org.python.core

## Class PySet

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.BaseSet
    - - org.python.core.PySet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set, Traverseproc
  Direct Known Subclasses:
    PySetDerived

      public class PySet
      extends BaseSet

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyType` | `TYPE`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PySet()`
    `PySet(PyObject data)`
    `PySet(PyObject[] data)`
    `PySet(PyType type)`
    `PySet(PyType type, java.util.Set backing_set, PyObject data)`
    `PySet(java.util.Set backing_set, PyObject data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__iand__(PyObject other)` Equivalent to the standard Python __iand__ method
    `PyObject` | `__ior__(PyObject other)` Equivalent to the standard Python __ior__ method
    `PyObject` | `__isub__(PyObject other)` Equivalent to the standard Python __isub__ method
    `PyObject` | `__ixor__(PyObject other)` Equivalent to the standard Python __ixor__ method
    `int` | `hashCode()` The hashCode of the set.

    - ### Methods inherited from class org.python.core.BaseSet

      `__and__, __cmp__, __contains__, __eq__, __ge__, __gt__, __iter__, __le__, __len__, __lt__, __ne__, __nonzero__, __or__, __reduce__, __sub__, __xor__, add, addAll, clear, contains, containsAll, difference, getSet, isEmpty, iterator, refersDirectlyTo, remove, removeAll, retainAll, size, symmetric_difference, toArray, toArray, toString, traverse`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __hash__, __hex__, __iadd__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ipow__, __irshift__, __iternext__, __itruediv__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __tojava__, __truediv__, __trunc__, __unicode__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### TYPE

          public static final PyType TYPE

  - ### Constructor Detail

    - #### PySet

          public PySet()

    - #### PySet

          public PySet(PyType type)

    - #### PySet

          public PySet(PyObject data)

    - #### PySet

          public PySet(PyObject[] data)

    - #### PySet

          public PySet(java.util.Set backing_set,
                       PyObject data)

    - #### PySet

          public PySet(PyType type,
                       java.util.Set backing_set,
                       PyObject data)

  - ### Method Detail

    - #### __ior__

          public PyObject __ior__(PyObject other)

      Description copied from class: `PyObject`
      Equivalent to the standard Python __ior__ method
      Overrides:
        `__ior__` in class `PyObject`
      Parameters:
        `other` - the object to perform this binary operation with (the right-hand operand).
      Returns:
        the result of the ior, or null if this operation is not defined

    - #### __ixor__

          public PyObject __ixor__(PyObject other)

      Description copied from class: `PyObject`
      Equivalent to the standard Python __ixor__ method
      Overrides:
        `__ixor__` in class `PyObject`
      Parameters:
        `other` - the object to perform this binary operation with (the right-hand operand).
      Returns:
        the result of the ixor, or null if this operation is not defined

    - #### __iand__

          public PyObject __iand__(PyObject other)

      Description copied from class: `PyObject`
      Equivalent to the standard Python __iand__ method
      Overrides:
        `__iand__` in class `PyObject`
      Parameters:
        `other` - the object to perform this binary operation with (the right-hand operand).
      Returns:
        the result of the iand, or null if this operation is not defined

    - #### __isub__

          public PyObject __isub__(PyObject other)

      Description copied from class: `PyObject`
      Equivalent to the standard Python __isub__ method
      Overrides:
        `__isub__` in class `PyObject`
      Parameters:
        `other` - the object to perform this binary operation with (the right-hand operand).
      Returns:
        the result of the isub, or null if this operation is not defined

    - #### hashCode

          public int hashCode()

      Description copied from class: `BaseSet`
      The hashCode of the set. Only immutable instances can be hashed.
      Specified by:
        `hashCode` in interface `java.util.Collection`
      Specified by:
        `hashCode` in interface `java.util.Set`
      Specified by:
        `hashCode` in class `BaseSet`
      Returns:
        The hashCode of the set.

Jython homepage